gnutls_certificate_get_ours(3)

NAME
gnutls_certificate_get_ours - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_datum_t * gnutls_certificate_get_ours(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
Gets the certificate as sent to the peer in the last handshake. The certificate is in raw (DER) format. No certificate list is being returned. Only the first certificate. This function returns the certificate that was sent in the current handshake. In subsequent resumed sessions this function will return NULL. That differs from gnutls_certificate_get_peers() which always returns the peer's certificate used in the original session.

RETURNS
a pointer to a gnutls_datum_t containing our certificate, or NULL in case of an error or if no certificate was used.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/